Package com.orchestranetworks.ui.form.widget

# Interface UIListBox

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIWidget`

public interface UIListBox extends UIAtomicWithEnumeration
Simple HTML list box, with multi-selection.

### JavaScript type

The JavaScript type for this widget is an `Array` of `String` (`String[]`) corresponding to the selected keys. If no item is selected, the value will be an empty `Array`, that is, `[]`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.3.1
See Also:
  - `UIFormWriter.newListBox(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newListBox(com.orchestranetworks.schema.Path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Size`
  `getHeight()`
  `Size`
  `getWidth()`
  `void`
  `setHeight(Size height)`
  Sets the height of the list box.
  `void`
  `setWidth(Size width)`
  Sets the width of the list box.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getHeight

    Size getHeight()
    Returns:
      the height of the list box, or `null` if it is not defined.
    See Also:
      - `setHeight(Size)`

  - ### setHeight

    void setHeight(Size height)
    Sets the height of the list box.

    If the height is `null`, the height will be automatic, depending to its content.

    Default value is `null`.

    Parameters:
      `height` - the height to set to the list box, or `null` to reset to default, that is, automatic height.

  - ### getWidth

    Size getWidth()
    Returns:
      the width of the list box, or `null` if it has not been defined.
    See Also:
      - `setWidth(Size)`

  - ### setWidth

    void setWidth(Size width)
    Sets the width of the list box.

    If the width is `null`, it will use the standard width of inputs defined in the Administration section, topic Ergonomics and layout.

    Default value is `null`.

    Parameters:
      `width` - the width to set to the list box, or `null` to reset to default.